petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscViewerRestoreSubViewer

Restores a new PetscViewer obtained with PetscViewerGetSubViewer().

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerRestoreSubViewer(PetscViewer viewer,MPI_Comm comm,PetscViewer *outviewer)

Collective on PetscViewer

### Input Parameters

| viewer | - the PetscViewer that was reproduced
| outviewer | - new PetscViewer

### Notes

Call PetscViewerGetSubViewer() to get this PetscViewer, NOT PetscViewerCreate()

### See Also

PetscViewerSocketOpen(), PetscViewerASCIIOpen(), PetscViewerDrawOpen(), PetscViewerGetSubViewer()

### Level

advanced

### Location

src/sys/classes/viewer/interface/dupl.c

### Examples

src/vec/vec/examples/tutorials/ex9f.F90.html
src/vec/vec/examples/tutorials/ex14f.F90.html
src/dm/examples/tutorials/ex6.c.html

### Implementations

PetscViewerRestoreSubViewer_ASCII in src/sys/classes/viewer/impls/ascii/filev.c
PetscViewerRestoreSubViewer_Binary in src/sys/classes/viewer/impls/binary/binv.c
PetscViewerRestoreSubViewer_Draw in src/sys/classes/viewer/impls/draw/drawv.c
PetscViewerRestoreSubViewer_String in src/sys/classes/viewer/impls/string/stringv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages